@media (orientation: portrait) {
    #mainCont{
        display: flex;
        flex-direction: column;
        background: url("./media/background.gif");
        background-position: center;
        background-size: 300%;
        height: 100vh;
        align-items: center;
        justify-content: center;
        font-family: Arial, Helvetica, sans-serif;
    }

    #title{
        margin: 0 3px 0 3px;
        font-size: 3.1rem;
        color: white;
        mix-blend-mode: difference;
        font-weight: 250;
        text-align: left;
    }
    #name{
        font-size: 1.4rem;
        margin: 0 0 0 0;
        color: gray;
        text-align: center;
    }
    #avImg{
        height: 110px;
        width: 110px;
        border-radius: 50%;
    }
    #titleCont{
        width: fit-content;
        align-items: center;
        text-align: center;
    }
}
@media (orientation: landscape) {
    #mainCont{
        display: flex;
        flex-direction: column;
        background: url("./media/background.gif");
        background-position: center;
        background-size: 150%;
        height: 100vh;
        align-items: center;
        justify-content: center;
        font-family: Arial, Helvetica, sans-serif;
    }
    #title{
        margin: 3px 3px 3px 12px;
        font-size: 3.3rem;
        color: white;
        mix-blend-mode: difference;
        font-weight: 250;
    }
    #name{
        font-size: 1.4rem;
        margin: 0 0 0 18px;
        color: gray;
        text-align: start;
    }
    #avImg{
        height: 125px;
        width: 125px;
        border-radius: 50%;
    }
    #titleCont{
        display: flex;
        width: fit-content;
        align-items: center;
        text-align: center;
    }
}


#centerCont{
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0);
    align-items: center;
    padding: 12px;
    border-radius: 15px;
}
#textCont{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    width: fit-content;
    height: fit-content;
}

#textCont p{
    margin: 0 2px 0 2px;
    text-align: center;
}

.copy-toast { /* всплывающее уведомление */
    position: fixed;
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(255,255,255,0.1);
    color: #fff;
    font-size: 0.85rem;
    font-weight: 500;
    padding: 6px 12px;
    border-radius: 30px;
    pointer-events: none;
    z-index: 999;
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);
    opacity: 0;
    transform: translateY(0) translateX(-50%);
    transition: opacity 0.25s ease, transform 1s cubic-bezier(0.2, 0.9, 0.4, 1.1);
    font-family: Arial, Helvetica, sans-serif
}

.copy-toast.show {
    opacity: 1;
    transform: translateY(-35px) translateX(-50%);
}

#linkCont{
    display: flex;
    align-items: center;
    margin: 24px;
}
.innerSvg{
    margin: 3px 0 3px 0;
    width: 24px;
    height: 24px;
    fill: #707070;
}
.description{
    color: rgb(69, 69, 69);
    float: left;
}
/*
 приколы для анимации кнопок
 */
.linkButton{
    background-color: rgba(241, 241, 241, 0.07);
    backdrop-filter: blur(8px);
    border-radius: 12px;
    border: none;
    margin: 8px;
    padding: 8px 12px 8px 12px;
    overflow: hidden;
    position: relative;
}
.linkButton::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background-color: rgba(236, 236, 236, 0.1);
    mix-blend-mode: difference;
    transition: all 0.2s;
    z-index: 1;
    transform: translateY(100%);
}
.linkButton:hover::before{
    transform: translateY(0);
}